- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

# Memory Allocation

## Classes
class | tbb::aligned_space< T, N >
| Block of space aligned sufficiently to construct an array T with N elements. More...
class | tbb::cache_aligned_allocator< T >
| Meets "allocator" requirements of ISO C++ Standard, Section 20.1.5. More...
class | tbb::cache_aligned_allocator< void >
| Analogous to std::allocator<void>, as defined in ISO C++ Standard, Section 20.4.1. More...
class | tbb::scalable_allocator< T >
| Meets "allocator" requirements of ISO C++ Standard, Section 20.1.5. More...
class | tbb::scalable_allocator< void >
| Analogous to std::allocator<void>, as defined in ISO C++ Standard, Section 20.4.1. More...
class | tbb::tbb_allocator< T >
| Meets "allocator" requirements of ISO C++ Standard, Section 20.1.5. More...
class | tbb::tbb_allocator< void >
| Analogous to std::allocator<void>, as defined in ISO C++ Standard, Section 20.4.1. More...
class | tbb::zero_allocator< T, Allocator >
| Meets "allocator" requirements of ISO C++ Standard, Section 20.1.5. More...
class | tbb::zero_allocator< void, Allocator >
| Analogous to std::allocator<void>, as defined in ISO C++ Standard, Section 20.4.1. More...
## Functions
void *__TBB_EXPORTED_FUNC | scalable_malloc (size_t size)
void __TBB_EXPORTED_FUNC | scalable_free (void *ptr)
void *__TBB_EXPORTED_FUNC | scalable_realloc (void *ptr, size_t size)
void *__TBB_EXPORTED_FUNC | scalable_calloc (size_t nobj, size_t size)
int __TBB_EXPORTED_FUNC | scalable_posix_memalign (void **memptr, size_t alignment, size_t size)
void *__TBB_EXPORTED_FUNC | scalable_aligned_malloc (size_t size, size_t alignment)
void *__TBB_EXPORTED_FUNC | scalable_aligned_realloc (void *ptr, size_t size, size_t alignment)
void __TBB_EXPORTED_FUNC | scalable_aligned_free (void *ptr)
size_t __TBB_EXPORTED_FUNC | scalable_msize (void *ptr)

## Function Documentation

void __TBB_EXPORTED_FUNC scalable_aligned_free | ( | void * | ptr | ) |

The "_aligned_free" analogue.

void* __TBB_EXPORTED_FUNC scalable_aligned_malloc | ( | size_t | size,
|  | size_t | alignment |
| ) |  |  |

The "_aligned_malloc" analogue.

void* __TBB_EXPORTED_FUNC scalable_aligned_realloc | ( | void * | ptr,
|  | size_t | size,
|  | size_t | alignment |
| ) |  |  |

The "_aligned_realloc" analogue.

void* __TBB_EXPORTED_FUNC scalable_calloc | ( | size_t | nobj,
|  | size_t | size |
| ) |  |  |

The "calloc" analogue complementing scalable_malloc.

void __TBB_EXPORTED_FUNC scalable_free | ( | void * | ptr | ) |

The "free" analogue to discard a previously allocated piece of memory.

void* __TBB_EXPORTED_FUNC scalable_malloc | ( | size_t | size | ) |

The "malloc" analogue to allocate block of memory of size bytes.

size_t __TBB_EXPORTED_FUNC scalable_msize | ( | void * | ptr | ) |

The analogue of _msize/malloc_size/malloc_usable_size. Returns the usable size of a memory block previously allocated by scalable_*, or 0 (zero) if ptr does not point to such a block.

int __TBB_EXPORTED_FUNC scalable_posix_memalign | ( | void ** | memptr,
|  | size_t | alignment,
|  | size_t | size |
| ) |  |  |

The "posix_memalign" analogue.

void* __TBB_EXPORTED_FUNC scalable_realloc | ( | void * | ptr,
|  | size_t | size |
| ) |  |  |

The "realloc" analogue complementing scalable_malloc.

Copyright © 2005-2010 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.